aboutsummaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2007-11-09 01:10:10 -0800
committerJunio C Hamano <gitster@pobox.com>2007-11-09 01:10:10 -0800
commit14965530727e967806a5c62d7c826104baaec3c0 (patch)
treecd09128731696c7d73c529cf2e8477399fc93f33 /t
parent7c2c6ee7e0259d591acb3d9841cf5417e6b7a8eb (diff)
parent6738c8194286fa0017f72cb57628dcae9ec07b27 (diff)
downloadgit-14965530727e967806a5c62d7c826104baaec3c0.tar.gz
git-14965530727e967806a5c62d7c826104baaec3c0.tar.xz
Merge branch 'jk/terse-push' into aw/mirror-push
* jk/terse-push: send-pack: segfault fix on forced push send-pack: require --verbose to show update of tracking refs receive-pack: don't mention successful updates more terse push output
Diffstat (limited to 't')
-rwxr-xr-xt/t5405-send-pack-rewind.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/t/t5405-send-pack-rewind.sh b/t/t5405-send-pack-rewind.sh
new file mode 100755
index 000000000..86abc6227
--- /dev/null
+++ b/t/t5405-send-pack-rewind.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+test_description='forced push to replace commit we do not have'
+
+. ./test-lib.sh
+
+test_expect_success setup '
+
+ >file1 && git add file1 && test_tick &&
+ git commit -m Initial &&
+
+ mkdir another && (
+ cd another &&
+ git init &&
+ git fetch .. master:master
+ ) &&
+
+ >file2 && git add file2 && test_tick &&
+ git commit -m Second
+
+'
+
+test_expect_success 'non forced push should die not segfault' '
+
+ (
+ cd another &&
+ git push .. master:master
+ test $? = 1
+ )
+
+'
+
+test_expect_success 'forced push should succeed' '
+
+ (
+ cd another &&
+ git push .. +master:master
+ )
+
+'
+
+test_done